org.apache.hadoop.registry.server.dns

## Class RecordCreatorFactory

- java.lang.Object
- - org.apache.hadoop.registry.server.dns.RecordCreatorFactory

-     public final class RecordCreatorFactory
      extends Object

  A factory for creating DNS records.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RecordCreatorFactory.HostPortInfo` An object for storing the host and port info used to generate SRV records.
    `static interface` | `RecordCreatorFactory.RecordCreator<R extends org.xbill.DNS.Record,T>` A DNS Record creator.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setTtl(long ttl)` Set the TTL value for the records created by the factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setTtl

          public static void setTtl(long ttl)

      Set the TTL value for the records created by the factory.
      Parameters:
        `ttl` - the ttl value, in seconds.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.